#include "stm32f1xx_hal.h"

#define STATUS_START       0
#define STATUS_COMMAND     1
#define STATUS_ADDRESS     2
#define STATUS_REPEAT      3
#define STATUS_ERROR       10

extern unsigned char IR_Command;
extern unsigned char IR_Address;
extern unsigned char IRStatus;

//extern unsigned char IR_CommandNumber[3];

typedef struct IRData{
	unsigned char address;
	unsigned char command;
} IRData;

void IR_handler(void);
IRData getIRData(void);
unsigned char IR_Available();
void ClearIRStatus(void);
